function[out] = cmap_nonlin(dum)

% construct parabolic colormap versions of default parula colormap
% dum > 0: 
% dum < 0: 

M = parula;
[r,c] = size(M);
x = [0:1/(r-1):1]';

if dum > 0
    y = 1 - (1-x).^2;
    out(:,1) = interp1(x,M(:,1),y);
    out(:,2) = interp1(x,M(:,2),y);
    out(:,3) = interp1(x,M(:,3),y);
elseif dum < 0
    y = x.^2;
    out(:,1) = interp1(x,M(:,1),y);
    out(:,2) = interp1(x,M(:,2),y);
    out(:,3) = interp1(x,M(:,3),y);
else
    out = M;
end


