function[] = interpolate_results_new(Ntheta)

% interpolate computed z, y and H fields over the R--x domain to the r--theta domain
% 
% Ntheta = number of angular grid points


% (1) load results file
load results

% (2) set up coordinates
dtheta = L/(Ntheta-1);      % azimuthal coordinate
theta = [0:dtheta:L]';
xx = 2*theta/L - 1;

r = fliplr( exp(-(R-1)) );  % radial coordinate

% (3) lagrange interpolation
% precalculate lagrange interpolation weights
Wlagrange = lagrangeweights(xx,N);
% r - columns, theta - rows
yy = fliplr(y);
zz = fliplr(Wlagrange*flipud(z));   % fliplr to align zz with r
HH = fliplr(Wlagrange*flipud(H));

% signal phase angle at z = 0
PH = (180/pi) * atan2(imag(HH),real(HH));

save results

